Subject: stuck and need unstuck (git checkout)

From: "J.V." <[email-masked]>
Date: Mon, 25 Mar 2013 11:57:14 -0600

I was on a branch (local tracked with remote), and I wanted to checkout 
a remote branch so did:
     $git co myRemoteBranch

and got a message that a lot of jar files were being untracked (files 
were locked).  I had a server running that had some of the jar files 
locked, so it could not update and untracked them all.

What I want to do now is:
     1. switch branches
     2. delete this locally created branch
     3.  re-check out again so all will be well.

I cannot switch branches because it says my untracked files will be 
overwritten.  How do I switch branches? I have no commits to make and 
simply want to go back.  git reset and git stash do not get me there.

thanks

J.V.